# Jack users must be added to the realtime group.
# Also set memorylocked to 128M in login.conf
# D-bus should be enabled for auto-launching jack.
- name: Install loader.conf
  copy:
    src: "files/{{ item }}_loader.conf"
    dest: "/boot/loader.conf.d/{{ item }}.conf"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - realtime_priority

- name: Install packages
  package:
    name:
      - jackit
    state: present

- name: Install packages
  when: install_graphics
  package:
    name:
      - qjackctl
    state: present

# hw.snd.default_auto=0 # (2)
# hw.snd.default_unit=1 # (3)

# hw.usb.uaudio.buffer_ms="2"

# hw.snd.latency=0
# hw.snd.latency_profile=0

# Hurts battery:
# kern.timecounter.alloweddeviation=0

